Package ru.bitel.bgbilling.kernel.event.events

# Class ActionAfterEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.kernel.event.events.ActionEvent
ru.bitel.bgbilling.kernel.event.events.ActionAfterEvent

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

@Deprecated public class ActionAfterEvent extends ActionEvent
Deprecated.
использовать dynaction/дин.код
Синхронное событие - после действия.
Для любых действий (actions) биллинга с договорами или их сущностями возможно назначение универсального события после действия.
Для того, чтобы назначить нужному действию нужного модуля необходимость генерирования события,
необходимо добавить в конфигурацию сервера строку следюущего вида:
action.event_<module>_<action>=before|after|both
Здесь <module> - это имя модуля, <action> - наименование действия. Имена модулей и соответсвующие имена действий можно увидеть
в XML-файлах в папке actions в директории биллинга. При этом, если указано значение before, то событие будет генерироваться только перед действием.
Если указано значение after, то только после. Если же both, то в обоих случаях.
Унаследован от `ActionEvent`

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ActionAfterEvent()`
  Deprecated.
  ``
  `ActionAfterEvent(String module, String action, int contractId, int userId)`
  Deprecated.
  Конструктор события.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Element`
  `getRootNode()`
  Deprecated.
  Возращает root элемент xml-ответа.
  `void`
  `setRootNode(Element rootNode)`
  Deprecated.
  Устанавливает root элемент xml-ответа.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.events.ActionEvent

  `getAction, getModule, setAction, setModule`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ActionAfterEvent

    protected ActionAfterEvent()
    Deprecated.

  - ### ActionAfterEvent

    public ActionAfterEvent(String module, String action, int contractId, int userId)
    Deprecated.
    Конструктор события.
    Parameters:
      `module` - название модуля
      `action` - название акшена
      `contractId` - код договора
      `userId` - id пользователя, сгенерировавшего событие

- ## Method Details

  - ### getRootNode

    public Element getRootNode()
    Deprecated.
    Возращает root элемент xml-ответа.
    Returns:
      rootNode - ссылка на корневой элемент ответа сервера на запрос клиента

  - ### setRootNode

    public void setRootNode(Element rootNode)
    Deprecated.
    Устанавливает root элемент xml-ответа.
    Type Parameters:
      `b` - rootNode - ссылка на корневой элемент ответа сервера на запрос клиента